Page MenuHomePhabricator

Change "Real name" to "Display name"
Open, Needs TriagePublic

Description

In some past discussions I remember several suggestions to change the "Real name" label in the core MediaWiki preferences to "Display name" or something similar. Sorry, I don't have links to all of these discussions, so I'm opening this task to allow current and open discussion.

The rationale is more or less the following:

  • As it happens with a lot of websites, a MediaWiki username has some constraints: it doesn't allow certain characters, it may be restricted by anti-spoofing technologies, etc.
  • A MediaWiki user name is the same in all the sites on a wiki family (CentralAuth). This gets uncomfortable when the same user wants to write the name in, e.g., Japanese in Japanese-language projects, but in English in other languages, so that people who don't know Japanese would be able to read it. This is partially solved by signatures, but signatures have the particular goal of serving as signatures—they are super-flexible, and may include dates, crazy formatting, links, etc., and they are not necessarily names.
  • A user name is intended for identification with a computer program, and it's not necessarily comfortable when talking to a person, in voice or in typing, even if it's written in an alphabet that a person can read. My username, for example, is "Amire80", which is technical and internal, and I'm fine with using it on the login screen, but I prefer to be called "Amir" or "Amir Aharoni" elsewhere. I never enjoy being called "Amire" or "Amire80" in conversations with real humans, or in contexts that are supposed to be similar to conversations with humans. I'm sure that there are more people who share this feeling.
  • A human-readable name is useful in many contexts. The three immediate examples I can think of are the "Welcome, USER!" string at the top of the MobileFrontend main page; the "userlink" in Flow, which currently shows the username (see T90055, which is in essence abandoned for now, but I hope it will be revived Some Day); mentioning people using Echo (especially in VE-enabled Flow writing surfaces, but hopefully in other contexts, too).
  • The title "Real name" is disliked by many people, and for a good reason. Examples from the context of Phabricator can be found at T798. People may want a human-readable, customizable, and localizable name to be displayed in contexts where a human name is needed, but many don't want it to be their real-life name, and it's completely understandable.

This task is only about the last point in the above list. It's not about re-enabling the preference on Wikimedia sites, or about actually using it in Flow, MobileFrontend, Echo, or elsewhere; all these will be separate tasks, when the time is right. It does seem to me, however, that there is a consensus that "Real name" is not a good label. It can be easily changed to "Display name", so let's do it already.

Event Timeline

Amire80 created this task.Dec 27 2016, 9:38 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 27 2016, 9:38 AM
Amire80 updated the task description. (Show Details)Dec 27 2016, 9:41 AM
Base added a subscriber: Base.Dec 27 2016, 11:53 PM

The three immediate examples I can think of are the "Welcome, USER!"

How are you going to solve the need to conjugate the name into vocative for languages which require it?

E.g. Привіт Base! is absolutely OK, but it is Привіт, Богдане!, not Привіт, Богдан! for my username and name in Ukrainian.

I do not bother to check if that particular message is translated like this to Ukrainian, as the problem of names requiring conjugation will arise in many places and not just to the rather neglected by many vocative case. I guess the problem already exists but as the only place where we face it is Translatewiki and third parties wikis we (the broad community or whatever) haven't really got this to be considered to be a problem, but it would be in case we have it on CentralAuth WM wikis.

Nice question, but way out of the scope of this task. This task is ONLY about the label of the preference. Should be discussed separately.

Base added a comment.Dec 28 2016, 10:40 AM

Ah I think I have skipped the last paragraph, sorry. Well, in that case the change of the label itself makes sense to me, though it is not important a change.

Elitre added a subscriber: Elitre.Jan 2 2017, 5:18 PM

I'm very hesitant about changing it, for a few reasons. For all these reasons, I believe we would need to have a detailed discussion and plan, for exactly where/when the "display name" would be displayed, in both Wikimedia and non-Wikimedia wikis, before anything is changed. Briefly:

  • Multiple names per user - One old argument against having an alternate display name, is that it makes it harder for other editors, or admins/etc, to rapidly understand who they are communicating/working with, or trying to block. E.g. if a page-history says edits were made by "Alice Smith", but there is no "User:Alice_Smith", then everything is more complicated.
    • (This is similar to the issue where: a person I work with has at least 5 completely different identifiers: given name, surname, username, IRC nickname, email address.)
  • Potential semi-impersonation issue - there was an old issue (per), possibly fixed (?), where, E.g. I, as "User:Quiddity", could set my "real name" preference to "Bob Smith", even if there was already a "User:Bob_Smith" registered on that wiki. This would normally be prevented in usernames, via https://www.mediawiki.org/wiki/Extension:AntiSpoof
  • Non-uniqueness - Related to the above, a benefit of using a single name is that everyone is uniquely identifiable, and fairly easy to clearly refer to. The concern is that we would have hundreds of editors who all have the display name of "John Smith". (and other common names).
    • I recall these 3 ^ being given as reasons for opposition to complex signatures. It was suggested that signatures should only allow formatting-style-changes, and not content-changes. -- Related to this 'real/display name' idea (as primarily needed by editors working in 2 or more languages with different character sets), one solution would be to show the 'display name' and the 'username' together. E.g. signatures could by default be "-- Username (Display Name) timestamp".
  • Expectations/Consistency - If we call it "display name", then some editors will reasonably expect it to be displayed everywhere instead of their username. (cf. requests by teachers who are frustrated by studentID#s appearing everywhere)
  • Non-Wikimedia wikis - I'd like to learn how other non-Wikimedia wikis [might/will] be affected by this change. (Unless it could be done so that it only affects Wikimedia wikis?)
  • Old data - Wikimedia wikis don't currently use the field, but did in the past, which means some editors will have typed in their real name (and that info is presumably still stored in the relevant database). That info is classed as 'personal information' in the latest privacy policy (per) - We'd need to blank that column in the user database, and start from a clean slate.

Sidenote: Skimming through some search results, these pages and tasks are relevant:

I'm very hesitant about changing it, for a few reasons. For all these reasons, I believe we would need to have a detailed discussion and plan, for exactly where/when the "display name" would be displayed, in both Wikimedia and non-Wikimedia wikis, before anything is changed. Briefly:

  • Multiple names per user - One old argument against having an alternate display name, is that it makes it harder for other editors, or admins/etc, to rapidly understand who they are communicating/working with, or trying to block. E.g. if a page-history says edits were made by "Alice Smith", but there is no "User:Alice_Smith", then everything is more complicated.
    • (This is similar to the issue where: a person I work with has at least 5 completely different identifiers: given name, surname, username, IRC nickname, email address.)
  • Potential semi-impersonation issue - there was an old issue (per), possibly fixed (?), where, E.g. I, as "User:Quiddity", could set my "real name" preference to "Bob Smith", even if there was already a "User:Bob_Smith" registered on that wiki. This would normally be prevented in usernames, via https://www.mediawiki.org/wiki/Extension:AntiSpoof
  • Non-uniqueness - Related to the above, a benefit of using a single name is that everyone is uniquely identifiable, and fairly easy to clearly refer to. The concern is that we would have hundreds of editors who all have the display name of "John Smith". (and other common names).
    • I recall these 3 ^ being given as reasons for opposition to complex signatures. It was suggested that signatures should only allow formatting-style-changes, and not content-changes. -- Related to this 'real/display name' idea (as primarily needed by editors working in 2 or more languages with different character sets), one solution would be to show the 'display name' and the 'username' together. E.g. signatures could by default be "-- Username (Display Name) timestamp".
  • Expectations/Consistency - If we call it "display name", then some editors will reasonably expect it to be displayed everywhere instead of their username. (cf. requests by teachers who are frustrated by studentID#s appearing everywhere)
  • Non-Wikimedia wikis - I'd like to learn how other non-Wikimedia wikis [might/will] be affected by this change. (Unless it could be done so that it only affects Wikimedia wikis?)
  • Old data - Wikimedia wikis don't currently use the field, but did in the past, which means some editors will have typed in their real name (and that info is presumably still stored in the relevant database). That info is classed as 'personal information' in the latest privacy policy (per) - We'd need to blank that column in the user database, and start from a clean slate.

    Sidenote: Skimming through some search results, these pages and tasks are relevant:
  • https://www.mediawiki.org/wiki/Category:Real_name_display_extensions - very incomplete? search mw for more...
  • https://meta.wikimedia.org/wiki/Real_names - very old notes
  • T32286: Allow login name to be different from the screen name (currently only username is allowed)
  • T10086: RealName Userlinks instead of UserName
  • T149665: UX to create safe spaces (some relevant discussion about 'real names')

???

This task is about the changing the interface name of a pre-existing field in CORE MediaWiki only, not changing usage, not changing policies and interface around it, and nothing to do with WMF wikis.

If users have managed to fill this in on any pre-existing WMF wikis since its not enabled (and afaik never has been) then that is a separate task to wipe that data from the DB.

Non-Wikimedia wikis

From what I've seen in #mediawiki It's commonly used in business where they use a external source for ID (eg: LDAP) and either MediaWiki restrictions or their ussername source doesn't result in decent naming of individual, changing a interface field name won't harm this at all if its properly documented in release notes at all.

@Peachey88 Ah, I should've prefaced my comment with "This is a datadump, because I too am not sure where is best to discuss it all, but I think it is more complicated than it might appear".

On topic: At the very least, the "Expectations/Consistency" issue applies to all non-Wikimedia wikis. I.e. It's not displayed everywhere (or anywhere by default, AFAICT), so it is currently illogical to name it that.

More importantly, if we're changing the default MediaWiki label, but we're doing it primarily for reasons based on our own potential Wikimedia usage, then we are implicitly creating a small amount of work for all non-Wikimedia users (who will have to update their local labels if they want to keep the old label), when we don't even know if we're going to actually do anything with this preference ourselves.

It would also create a small amount of work for hundreds of translators, changing the existing translations in at least 1 to 8 and possibly up to 34 labels. That scope itself needs to be detailed (what to update, and what to leave as-is), at absolute minimum.

Those translation changes would also inevitably lead to Wikimedian discussion, so someone needs to be prepared to spend time on (perhaps leading) the larger issue, before knocking over the first domino.

TL;DR: This task isn't as simple as 1 change to 1 label.
FWIW, I do strongly agree that we should change the label from "Real name" to something else (because we shouldn't blindly encourage the usage of real names in all MediaWiki instances). We should just be fully aware of all the ramifications/background/etc, before doing so, in case there are better alternatives, and so that sub-tasks aren't forgotten. Naming things is hard, and renaming [existing highly-used] things is even harder!

He7d3r added a subscriber: He7d3r.May 10 2017, 1:32 PM